<?php
/**
 * Catering Lite: Block Patterns
 *
 * @package Catering Lite
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'catering-lite',
		array( 'label' => __( 'Catering Lite', 'catering-lite' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'catering-lite/banner-section',
		array(
			'title'      => __( 'Banner Section', 'catering-lite' ),
			'categories' => array( 'catering-lite' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . get_theme_file_uri() . "/block-patterns/images/banner.png\",\"id\":43,\"dimRatio\":10,\"align\":\"full\",\"className\":\"main-banner-section\"} -->\n<div class=\"wp-block-cover alignfull main-banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-10 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-43\" alt=\"\" src=\"" . get_theme_file_uri() . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"40px\"}},\"textColor\":\"white\"} -->\n<h1 class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:40px;text-transform:uppercase\">We serve quality food</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}}} -->\n<p class=\"has-text-align-center\" style=\"font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"border\":{\"radius\":\"5px\"}}} -->\n<div class=\"wp-block-button aligncenter has-custom-font-size\" style=\"font-size:16px\"><a class=\"wp-block-button__link\" style=\"border-radius:5px\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'catering-lite/recipe-section',
		array(
			'title'      => __( 'Recipe Section', 'catering-lite' ),
			'categories' => array( 'catering-lite' ),
			'content'    => "<!-- wp:group {\"align\":\"wide\",\"className\":\"mx-md-5 mx-0 pt-md-5 pt-4 main-recipe-section\"} -->\n<div class=\"wp-block-group alignwide mx-md-5 mx-0 pt-md-5 pt-4 main-recipe-section\"><!-- wp:columns {\"className\":\"main-recipe-section-main-col\"} -->\n<div class=\"wp-block-columns main-recipe-section-main-col\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"40%\",\"className\":\"recipe-section-img\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center recipe-section-img\" style=\"flex-basis:40%\"><!-- wp:embed {\"url\":\"https://youtu.be/yAoLSRbwxL8\",\"type\":\"video\",\"providerNameSlug\":\"youtube\",\"responsive\":true,\"className\":\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"} -->\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\nhttps://youtu.be/yAoLSRbwxL8\n</div></figure>\n<!-- /wp:embed --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"60%\",\"className\":\"recipe-section-col\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top recipe-section-col\" style=\"flex-basis:60%\"><!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#34b3f1\"},\"typography\":{\"fontSize\":\"16px\"}},\"className\":\"mb-md-0 mb-0  text-md-start text-center\"} -->\n<p class=\"mb-md-0 mb-0 text-md-start text-center has-text-color\" style=\"color:#34b3f1;font-size:16px\">Watch out</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:heading {\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"25px\"}},\"className\":\" text-md-start text-center\"} -->\n<h2 class=\"text-md-start text-center\" style=\"font-size:25px;text-transform:capitalize\">video recipe</h2>\n<!-- /wp:heading -->\n\n<!-- wp:columns {\"className\":\"text-md-start text-center mb-md-0 mb-0 col-one\"} -->\n<div class=\"wp-block-columns text-md-start text-center mb-md-0 mb-0 col-one\"><!-- wp:column {\"className\":\" recipe-col-one  mb-md-0\"} -->\n<div class=\"wp-block-column  recipe-col-one mb-md-0\"><!-- wp:columns {\"className\":\"mb-md-0 mb-0\"} -->\n<div class=\"wp-block-columns mb-md-0 mb-0\"><!-- wp:column {\"width\":\"33.33%\",\"className\":\"recipe-img\"} -->\n<div class=\"wp-block-column recipe-img\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":225,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-2  \"} -->\n<figure class=\"wp-block-image size-full mb-md-0 mb-2\"><img src=\"" . get_theme_file_uri() . "/block-patterns/images/recipe-post1.png\" alt=\"\" class=\"wp-image-225\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"18px\"}},\"className\":\"mb-md-0 md-0\"} -->\n<h3 class=\"mb-md-0 md-0\" style=\"font-size:18px;text-transform:capitalize\">hooka noodles</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#121619\"}},\"className\":\"mb-md-0 mb-0\",\"fontSize\":\"small\"} -->\n<p class=\"mb-md-0 mb-0 has-text-color has-small-font-size\" style=\"color:#121619\">james colins</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"12px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:12px\"><a class=\"wp-block-button__link\">click &amp; watch</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\" recipe-col-one  mb-md-0\"} -->\n<div class=\"wp-block-column  recipe-col-one mb-md-0\"><!-- wp:columns {\"className\":\"mb-md-0\"} -->\n<div class=\"wp-block-columns mb-md-0\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"33.33%\",\"className\":\"recipe-img\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top recipe-img\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":226,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-2 \"} -->\n<figure class=\"wp-block-image size-full mb-md-0 mb-2\"><img src=\"" . get_theme_file_uri() . "/block-patterns/images/recipe-post2.png\" alt=\"\" class=\"wp-image-226\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"18px\"}},\"className\":\"mb-md-0 md-0\"} -->\n<h3 class=\"mb-md-0 md-0\" style=\"font-size:18px;text-transform:capitalize\">frid noodles</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#121619\"}},\"className\":\"mb-md-0 mb-0\",\"fontSize\":\"small\"} -->\n<p class=\"mb-md-0 mb-0 has-text-color has-small-font-size\" style=\"color:#121619\">james colins</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"12px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:12px\"><a class=\"wp-block-button__link\">click &amp; watch</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"text-md-start text-center mb-md-0 mb-0 col-one\"} -->\n<div class=\"wp-block-columns text-md-start text-center mb-md-0 mb-0 col-one\"><!-- wp:column {\"className\":\" recipe-col-one  mb-md-0\"} -->\n<div class=\"wp-block-column  recipe-col-one mb-md-0\"><!-- wp:columns {\"className\":\"mb-md-0 mb-0\"} -->\n<div class=\"wp-block-columns mb-md-0 mb-0\"><!-- wp:column {\"width\":\"33.33%\",\"className\":\"recipe-img\"} -->\n<div class=\"wp-block-column recipe-img\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":123,\"width\":60,\"height\":60,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-2  \"} -->\n<figure class=\"wp-block-image size-full is-resized mb-md-0 mb-2\"><img src=\"" . get_theme_file_uri() . "/block-patterns/images/recipe-post3.png\" alt=\"\" class=\"wp-image-123\" width=\"60\" height=\"60\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"18px\"}},\"className\":\"mb-md-0 md-0\"} -->\n<h3 class=\"mb-md-0 md-0\" style=\"font-size:18px;text-transform:capitalize\">fried momos</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#121619\"}},\"className\":\"mb-md-0 mb-0\",\"fontSize\":\"small\"} -->\n<p class=\"mb-md-0 mb-0 has-text-color has-small-font-size\" style=\"color:#121619\">james colins</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"12px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:12px\"><a class=\"wp-block-button__link\">click &amp; watch</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\" recipe-col-one  mb-md-0\"} -->\n<div class=\"wp-block-column  recipe-col-one mb-md-0\"><!-- wp:columns {\"className\":\"mb-md-0\"} -->\n<div class=\"wp-block-columns mb-md-0\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"33.33%\",\"className\":\"recipe-img\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top recipe-img\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":124,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-2 \"} -->\n<figure class=\"wp-block-image size-full mb-md-0 mb-2\"><img src=\"" . get_theme_file_uri() . "/block-patterns/images/recipe-post4.png\" alt=\"\" class=\"wp-image-124\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"18px\"}},\"className\":\"mb-md-0 md-0\"} -->\n<h3 class=\"mb-md-0 md-0\" style=\"font-size:18px;text-transform:capitalize\">manchurian</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#121619\"}},\"className\":\"mb-md-0 mb-0\",\"fontSize\":\"small\"} -->\n<p class=\"mb-md-0 mb-0 has-text-color has-small-font-size\" style=\"color:#121619\">james colins</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"12px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:12px\"><a class=\"wp-block-button__link\">click &amp; watch</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:columns {\"className\":\"text-md-start text-center mb-md-0 mb-0  col-one\"} -->\n<div class=\"wp-block-columns text-md-start text-center mb-md-0 mb-0  col-one\"><!-- wp:column {\"className\":\" recipe-col-one  mb-md-0\"} -->\n<div class=\"wp-block-column  recipe-col-one mb-md-0\"><!-- wp:columns {\"className\":\"mb-md-0 mb-0\"} -->\n<div class=\"wp-block-columns mb-md-0 mb-0\"><!-- wp:column {\"width\":\"33.33%\",\"className\":\"recipe-img\"} -->\n<div class=\"wp-block-column recipe-img\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":221,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-2  \"} -->\n<figure class=\"wp-block-image size-full mb-md-0 mb-2\"><img src=\"" . get_theme_file_uri() . "/block-patterns/images/recipe-post5.png\" alt=\"\" class=\"wp-image-221\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"18px\"}},\"className\":\"mb-md-0 md-0\"} -->\n<h3 class=\"mb-md-0 md-0\" style=\"font-size:18px;text-transform:capitalize\">Pasta</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#121619\"}},\"className\":\"mb-md-0 mb-0\",\"fontSize\":\"small\"} -->\n<p class=\"mb-md-0 mb-0 has-text-color has-small-font-size\" style=\"color:#121619\">james colins</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"12px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:12px\"><a class=\"wp-block-button__link\">click &amp; watch</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\" recipe-col-one  mb-md-0\"} -->\n<div class=\"wp-block-column  recipe-col-one mb-md-0\"><!-- wp:columns {\"className\":\"mb-md-0\"} -->\n<div class=\"wp-block-columns mb-md-0\"><!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"33.33%\",\"className\":\"recipe-img\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top recipe-img\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":222,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0 mb-2 \"} -->\n<figure class=\"wp-block-image size-full mb-md-0 mb-2\"><img src=\"" . get_theme_file_uri() . "/block-patterns/images/recipe-post6.png\" alt=\"\" class=\"wp-image-222\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"18px\"}},\"className\":\"mb-md-0 md-0\"} -->\n<h3 class=\"mb-md-0 md-0\" style=\"font-size:18px;text-transform:capitalize\">colorful sandwich</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#121619\"}},\"className\":\"mb-md-0 mb-0\",\"fontSize\":\"small\"} -->\n<p class=\"mb-md-0 mb-0 has-text-color has-small-font-size\" style=\"color:#121619\">james colins</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"12px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:12px\"><a class=\"wp-block-button__link\">click &amp; watch</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:buttons {\"className\":\"recipe-section-button\"} -->\n<div class=\"wp-block-buttons recipe-section-button\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#34b3f1\"},\"border\":{\"radius\":\"5px\"},\"typography\":{\"fontSize\":\"16px\"}},\"className\":\"main-button \"} -->\n<div class=\"wp-block-button has-custom-font-size main-button\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-background\" style=\"border-radius:5px;background-color:#34b3f1\">View All Videos</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}